package com.muyu.access.data;


import com.muyu.access.data.base.BaseDataSource;
import com.muyu.access.data.mysql.MySqlDataSource;
import com.muyu.access.data.mysql.MySqlQuery;

import java.util.HashMap;

/**
 * @Author: DongZeLiang
 * @date: 2024/8/28
 * @Description:
 * @Version: 1.0
 */
public class Main {

    public static void main(String[] args) {
        BaseDataSource mySqlDataSource = new MySqlDataSource();
        MySqlQuery mySqlQuery = new MySqlQuery();
        mySqlQuery.setDataSourceId("1");
        mySqlQuery.setSql("select age as 库.表.字段 from abc where name = :name");
        mySqlQuery.setParams(
                new HashMap<>() {{
                    put("name", "张三");
                }}
        );
        mySqlDataSource.setQuery(mySqlQuery);

        mySqlDataSource.getDataValue();

        Thread.currentThread();
    }
}
