package com.muyu.utils;

import com.aliyun.oss.OSS;
import com.aliyun.oss.OSSClientBuilder;
import com.aliyun.oss.model.PutObjectRequest;
import com.muyu.common.core.domain.Result;

import java.io.ByteArrayInputStream;

import java.nio.charset.StandardCharsets;

public class OssUpload {

    private static final String endpoint = "https://oss-cn-shanghai.aliyuncs.com";

    private static final String accessKeyId = "LTAI5t8LmMHfW8ckPaAZR6oQ";

    private static final String accessKeySecret = "pwzEwkpxcTFgurkARyr7sG7V6syc9x";

    private static final String bucketName = "011811";

    public static Result<Object> uploadFiles(String content, String fileName) {

        OSS ossClient = new OSSClientBuilder().build(endpoint, accessKeyId, accessKeySecret);

        String objectName = "build/rule/version/" + fileName + ".java";

        try {
            ByteArrayInputStream inputStream = new ByteArrayInputStream(content.getBytes(StandardCharsets.UTF_8));

            PutObjectRequest putObjectRequest = new PutObjectRequest(bucketName, objectName, inputStream);

            ossClient.putObject(putObjectRequest);

            return Result.success(null, "文件" + fileName + ".java" + "存储成功");

        } catch (Exception e) {

            e.printStackTrace();

            return Result.error(null, "文件" + fileName + ".java" + "存储失败");

        } finally {

            if (ossClient != null) {

                ossClient.shutdown();

            }

        }

    }

}
